Browse events
curl --request GET \
--url https://api.routeur.app/v1/events \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.routeur.app/v1/events"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.routeur.app/v1/events', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.routeur.app/v1/events"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": [
{
"venue": "kalshi",
"id": "<string>",
"title": "<string>",
"category": "Sports",
"venues": [
"kalshi"
],
"markets": 123,
"mutually_exclusive": true,
"volume_24h_usd": "0.4100",
"outcomes": [
{
"label": "<string>",
"venue": "kalshi",
"market_id": "<string>",
"title": "<string>",
"prices": [
{
"venue": "kalshi",
"market_id": "<string>",
"yes_ask_usd": "0.4100",
"no_ask_usd": "0.4100",
"observed_at": "2023-11-07T05:31:56Z"
}
],
"volume_24h_usd": "0.4100",
"chance": "0.4100",
"best_venue": "kalshi",
"change_24h": "0.4100",
"sparkline": [
"0.4100"
]
}
],
"image_url": "<string>",
"twin": {
"venue": "kalshi",
"id": "<string>"
},
"starts_at": "2023-11-07T05:31:56Z",
"closes_at": "2023-11-07T05:31:56Z",
"summary": "<string>",
"topics": [
"<string>"
]
}
],
"graph_run": 2
}{
"error": {
"code": "invalid_parameter",
"message": "Invalid or unsupported query parameter: limit."
}
}{
"error": {
"code": "api_key_required",
"message": "Send an API key in the X-API-Key header or as a Bearer token."
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}Events
Browse events
Events across both venues, one card per real-world event: when Kalshi and Polymarket list the same event, it appears once with both venues’ prices. Each event carries its three leading outcomes.
GET
/
v1
/
events
Browse events
curl --request GET \
--url https://api.routeur.app/v1/events \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.routeur.app/v1/events"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.routeur.app/v1/events', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.routeur.app/v1/events"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": [
{
"venue": "kalshi",
"id": "<string>",
"title": "<string>",
"category": "Sports",
"venues": [
"kalshi"
],
"markets": 123,
"mutually_exclusive": true,
"volume_24h_usd": "0.4100",
"outcomes": [
{
"label": "<string>",
"venue": "kalshi",
"market_id": "<string>",
"title": "<string>",
"prices": [
{
"venue": "kalshi",
"market_id": "<string>",
"yes_ask_usd": "0.4100",
"no_ask_usd": "0.4100",
"observed_at": "2023-11-07T05:31:56Z"
}
],
"volume_24h_usd": "0.4100",
"chance": "0.4100",
"best_venue": "kalshi",
"change_24h": "0.4100",
"sparkline": [
"0.4100"
]
}
],
"image_url": "<string>",
"twin": {
"venue": "kalshi",
"id": "<string>"
},
"starts_at": "2023-11-07T05:31:56Z",
"closes_at": "2023-11-07T05:31:56Z",
"summary": "<string>",
"topics": [
"<string>"
]
}
],
"graph_run": 2
}{
"error": {
"code": "invalid_parameter",
"message": "Invalid or unsupported query parameter: limit."
}
}{
"error": {
"code": "api_key_required",
"message": "Send an API key in the X-API-Key header or as a Bearer token."
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}Authorizations
apiKeybearer
Query Parameters
Only events in this category.
Available options:
Sports, Politics, Economics, Crypto, Culture, Tech & Science, Weather, World, Other Text to match against event titles.
Maximum string length:
200trending orders by traded volume in the last 24 hours; closing by the soonest close.
Available options:
trending, closing Only events listed on both venues.
Events per page.
Required range:
1 <= x <= 60Events to skip, for the next page.
Required range:
0 <= x <= 10000